org.apache.solr.response

## Class SmileResponseWriter

- java.lang.Object
- - org.apache.solr.response.BinaryResponseWriter
  - - org.apache.solr.response.SmileResponseWriter

- All Implemented Interfaces:
    BinaryQueryResponseWriter, QueryResponseWriter, NamedListInitializedPlugin

      public class SmileResponseWriter
      extends BinaryResponseWriter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SmileResponseWriter.SmileWriter`

    - ### Nested classes/interfaces inherited from class org.apache.solr.response.BinaryResponseWriter

      `BinaryResponseWriter.Resolver`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.solr.response.QueryResponseWriter

      `CONTENT_TYPE_TEXT_ASCII, CONTENT_TYPE_TEXT_UTF8, CONTENT_TYPE_XML_UTF8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmileResponseWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(NamedList args)` `init` will be called just once, immediately after creation.
    `void` | `write(OutputStream out, SolrQueryRequest request, SolrQueryResponse response)` Use it to write the response in a binary format

    - ### Methods inherited from class org.apache.solr.response.BinaryResponseWriter

      `getContentType, getParsedResponse, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmileResponseWriter

          public SmileResponseWriter()

  - ### Method Detail

    - #### write

          public void write(OutputStream out,
                            SolrQueryRequest request,
                            SolrQueryResponse response)
                     throws IOException

      Description copied from interface: `BinaryQueryResponseWriter`
      Use it to write the response in a binary format
      Specified by:
        `write` in interface `BinaryQueryResponseWriter`
      Overrides:
        `write` in class `BinaryResponseWriter`
      Throws:
        `IOException`

    - #### init

          public void init(NamedList args)

      Description copied from interface: `QueryResponseWriter`
      `init` will be called just once, immediately after creation.

      The args are user-level initialization parameters that may be specified when declaring a response writer in solrconfig.xml

      Specified by:
        `init` in interface `QueryResponseWriter`
      Specified by:
        `init` in interface `NamedListInitializedPlugin`
      Overrides:
        `init` in class `BinaryResponseWriter`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.